Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.asn1.tsp
Class MessageImprint

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.tsp.MessageImprint

All Implemented Interfaces:
  DEREncodable

    public class MessageImprint

extends ASN1Encodable

Field Summary

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Constructor Summary
`MessageImprint(AlgorithmIdentifier hashAlgorithm, byte[] hashedMessage)`
`MessageImprint(ASN1Sequence seq)`

Method Summary
`AlgorithmIdentifier` `getHashAlgorithm()`
`byte[]` `getHashedMessage()`
`static MessageImprint` `getInstance(java.lang.Object o)`
`DERObject` `toASN1Object()` MessageImprint ::= SEQUENCE { hashAlgorithm AlgorithmIdentifier, hashedMessage OCTET STRING }

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageImprint

    public MessageImprint(ASN1Sequence seq)

### MessageImprint

    public MessageImprint(AlgorithmIdentifier hashAlgorithm,
                          byte[] hashedMessage)

Method Detail

### getInstance

    public static MessageImprint getInstance(java.lang.Object o)

  Parameters:
    `o` -
  Returns:
    a MessageImprint object.

### getHashAlgorithm

    public AlgorithmIdentifier getHashAlgorithm()

### getHashedMessage

    public byte[] getHashedMessage()

### toASN1Object

    public DERObject toASN1Object()

          MessageImprint ::= SEQUENCE  {
             hashAlgorithm                AlgorithmIdentifier,
             hashedMessage                OCTET STRING  }

  Specified by:
    `toASN1Object` in class `ASN1Encodable`

Bouncy Castle Cryptography Library 1.45